Debian Bug report logs - #580820
Uses /dev/dsp instead of ALSA

version graph

Package: fceu; Maintainer for fceu is Joe Nahmias <jello@debian.org>; Source for fceu is src:fceu.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Sat, 8 May 2010 22:51:02 UTC

Severity: serious

Found in version fceu/0.98.12-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Sat, 08 May 2010 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Joe Nahmias <jello@debian.org>. (Sat, 08 May 2010 22:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Uses /dev/dsp instead of ALSA
Date: Sat, 08 May 2010 23:50:01 +0100
Package: fceu
Version: 0.98.12-3
Severity: serious
Tags: squeeze sid

All packages built for Linux should be using ALSA rather than /dev/dsp
(the OSS interface).  Neither the 'aoss' nor 'padsp' wrappers worked
for me.

Ben.

-- System Information:
Debian Release: squeeze/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fceu depends on:
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libsdl1.2debian         1.2.14-4         Simple DirectMedia Layer
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

fceu recommends no packages.

Versions of packages fceu suggests:
pn  efp                           <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Sat, 19 Jun 2010 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Sat, 19 Jun 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 580820@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>
To: 580820@bugs.debian.org
Subject: Re: Uses /dev/dsp instead of ALSA
Date: Sun, 20 Jun 2010 02:30:52 +0800
[Message part 1 (text/plain, inline)]
It seems to me that the upstream has already fixed this issue.

Upstream new version (2.1.1) are using SDL to handle the audios so it fixes this issue.

There are a new upstream version in mentors.d.n. [1]
However, the package maintainer of the new fceu package is not the same maintainer for the current
one. And it's also not in NMU format.


[1] http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=fceu

Regards,
Paul

-- 
                                                PaulLiu(劉穎駿)
E-mail address: paulliu@debian.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Sat, 26 Jun 2010 21:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spang@MIT.EDU>:
Extra info received and forwarded to maintainer. Copy sent to Joe Nahmias <jello@debian.org>. (Sat, 26 Jun 2010 21:36:11 GMT) Full text and rfc822 format available.

Message #15 received at 580820-maintonly@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@MIT.EDU>
To: 580820-maintonly@bugs.debian.org
Subject: do you plan to continue working on fceu?
Date: Sat, 26 Jun 2010 17:32:58 -0400
Hi Joe,

Do you plan to continue working on the fceu Debian package?
You have not made any uploads in some time, and it has
a critical bug that would be fixed by packaging the latest
version. If you do not intend to work on it, it would be a
good idea to orphan the package, as such changes shouldn't
be done as non-maintainer uploads.

cheers,
Christine




Information stored :
Bug#580820; Package fceu. (Tue, 06 Jul 2010 02:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Tue, 06 Jul 2010 02:21:11 GMT) Full text and rfc822 format available.

Message #20 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Christine Spang <spang@MIT.EDU>
Cc: 580820-quiet@bugs.debian.org
Subject: Re: Bug#580820: do you plan to continue working on fceu?
Date: Mon, 5 Jul 2010 22:10:26 -0400
Hi Christine,

Yes, I do plan on working on fceu.  Just finished some stuff IRL, so I
should have time to look at this in the near future.

--Joe

On Sat, Jun 26, 2010 at 05:32:58PM -0400, Christine Spang wrote:
> Hi Joe,
> 
> Do you plan to continue working on the fceu Debian package?
> You have not made any uploads in some time, and it has
> a critical bug that would be fixed by packaging the latest
> version. If you do not intend to work on it, it would be a
> good idea to orphan the package, as such changes shouldn't
> be done as non-maintainer uploads.
> 
> cheers,
> Christine
> 
> 




Information stored :
Bug#580820; Package fceu. (Tue, 06 Jul 2010 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spang@MIT.EDU>:
Extra info received and filed, but not forwarded. (Tue, 06 Jul 2010 15:27:07 GMT) Full text and rfc822 format available.

Message #25 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@MIT.EDU>
To: Joe Nahmias <joe@nahmias.net>
Cc: 580820-quiet@bugs.debian.org
Subject: Re: Bug#580820: do you plan to continue working on fceu?
Date: Tue, 6 Jul 2010 11:22:23 -0400
Hi Joe,

Great! Thanks for your continuing contribution to Debian. :)

Christine

On Mon, Jul 05, 2010 at 10:10:26PM -0400, Joe Nahmias wrote:
> Hi Christine,
> 
> Yes, I do plan on working on fceu.  Just finished some stuff IRL, so I
> should have time to look at this in the near future.
> 
> --Joe
> 
> On Sat, Jun 26, 2010 at 05:32:58PM -0400, Christine Spang wrote:
> > Hi Joe,
> > 
> > Do you plan to continue working on the fceu Debian package?
> > You have not made any uploads in some time, and it has
> > a critical bug that would be fixed by packaging the latest
> > version. If you do not intend to work on it, it would be a
> > good idea to orphan the package, as such changes shouldn't
> > be done as non-maintainer uploads.
> > 
> > cheers,
> > Christine
> > 
> > 




Information stored :
Bug#580820; Package fceu. (Fri, 03 Sep 2010 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Gutiérrez Hermoso <jordigh@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 03 Sep 2010 13:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: Jordi Gutiérrez Hermoso <jordigh@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: Christine Spang <spang@MIT.EDU>, 580820-quiet@bugs.debian.org
Subject: Re: Bug#580820: do you plan to continue working on fceu?
Date: Fri, 3 Sep 2010 08:39:34 -0500
On Mon, 5 Jul 2010 22:10:26 -0400 "Joe Nahmias" <joe@nahmias.net> wrote:
> Yes, I do plan on working on fceu. Just finished some stuff IRL, so
> I should have time to look at this in the near future.

Are you still working on this? The squeeze release managers are
getting itchy to remove leaf packages from squeeze with RC bugs, and
fceu looks like a prime candidate.

If you need help, maybe one of us could help.




Information stored :
Bug#580820; Package fceu. (Fri, 03 Sep 2010 20:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Nahmias <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Fri, 03 Sep 2010 20:30:07 GMT) Full text and rfc822 format available.

Message #35 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: Joe Nahmias <joe@nahmias.net>
To: Jordi Gutiérrez Hermoso <jordigh@gmail.com>
Cc: Christine Spang <spang@MIT.EDU>, 580820-quiet@bugs.debian.org
Subject: Re: Bug#580820: do you plan to continue working on fceu?
Date: Fri, 3 Sep 2010 20:23:05 +0000
tags 580820 pending
thanks

Actually, I have a new package ready, I'm just testing it.  I'll probably
upload this weekend.

--Joe

On Fri, Sep 03, 2010 at 08:39:34AM -0500, Jordi Gutiérrez Hermoso wrote:
> On Mon, 5 Jul 2010 22:10:26 -0400 "Joe Nahmias" <joe@nahmias.net> wrote:
> > Yes, I do plan on working on fceu. Just finished some stuff IRL, so
> > I should have time to look at this in the near future.
> 
> Are you still working on this? The squeeze release managers are
> getting itchy to remove leaf packages from squeeze with RC bugs, and
> fceu looks like a prime candidate.
> 
> If you need help, maybe one of us could help.




Information stored :
Bug#580820; Package fceu. (Wed, 22 Sep 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 22 Sep 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jordi Gutiérrez Hermoso <jordigh@gmail.com>, 580820-quiet@bugs.debian.org
Cc: Joe Nahmias <joe@nahmias.net>, Christine Spang <spang@MIT.EDU>
Subject: Re: Bug#580820: do you plan to continue working on fceu?
Date: Wed, 22 Sep 2010 09:51:47 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 03, 2010 at 08:39:34AM -0500, Jordi Gutiérrez Hermoso wrote:
> On Mon, 5 Jul 2010 22:10:26 -0400 "Joe Nahmias" <joe@nahmias.net> wrote:
> > Yes, I do plan on working on fceu. Just finished some stuff IRL, so
> > I should have time to look at this in the near future.
> Are you still working on this? The squeeze release managers are
> getting itchy to remove leaf packages from squeeze with RC bugs, and
> fceu looks like a prime candidate.
> 
> If you need help, maybe one of us could help.

Well put.  The itchyness is increasing too.  But then it's probably too late
for intrusive changes.  They should've been done directly post-freeze, at the
latest.  A new upstream version might be a no-go at this point.

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Mon, 01 Nov 2010 23:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Mon, 01 Nov 2010 23:45:02 GMT) Full text and rfc822 format available.

Message #45 received at 580820@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 580820@bugs.debian.org
Subject: Re: fceu: Uses /dev/dsp instead of ALSA
Date: Mon, 01 Nov 2010 23:41:40 +0000
[Message part 1 (text/plain, inline)]
Hi Ben,

The test game for fceu in Debian ("efp") doesn't seem to have any music
according to the upstream website.

I downloaded a random NES ROM, and got it to work with sound - but I had
to use aoss and pass "-sound 1" to fceu to get the right sample rate.

With this information, is that enough to downgrade #580820 to
'important'?  It looks like a fix would involve a new upstream version.
I guess the package is still usable even without sound.

Regards,

-- 
Tim Retout <diocles@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Tue, 02 Nov 2010 00:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Tue, 02 Nov 2010 00:51:07 GMT) Full text and rfc822 format available.

Message #50 received at 580820@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Tim Retout <diocles@debian.org>
Cc: 580820@bugs.debian.org
Subject: Re: fceu: Uses /dev/dsp instead of ALSA
Date: Tue, 02 Nov 2010 00:48:35 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2010-11-01 at 23:41 +0000, Tim Retout wrote:
> Hi Ben,
> 
> The test game for fceu in Debian ("efp") doesn't seem to have any music
> according to the upstream website.

That might explain why 'aoss' didn't work for me.

> I downloaded a random NES ROM, and got it to work with sound - but I had
> to use aoss and pass "-sound 1" to fceu to get the right sample rate.
> 
> With this information, is that enough to downgrade #580820 to
> 'important'?  It looks like a fix would involve a new upstream version.
> I guess the package is still usable even without sound.

Given the apparent lack of attention by the current maintainer, I think
this package should not be released with squeeze.  However, it's for the
release team to make a final decision on that.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Thu, 04 Nov 2010 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Thu, 04 Nov 2010 22:51:03 GMT) Full text and rfc822 format available.

Message #55 received at 580820@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Tim Retout <diocles@debian.org>, 580820@bugs.debian.org
Subject: Re: fceu: Uses /dev/dsp instead of ALSA
Date: Thu, 4 Nov 2010 23:49:53 +0100
On Tue, Nov 02, 2010 at 12:48:35AM +0000, Ben Hutchings wrote:

> > I downloaded a random NES ROM, and got it to work with sound - but I had
> > to use aoss and pass "-sound 1" to fceu to get the right sample rate.
> > 
> > With this information, is that enough to downgrade #580820 to
> > 'important'?  It looks like a fix would involve a new upstream version.
> > I guess the package is still usable even without sound.
> 
> Given the apparent lack of attention by the current maintainer, I think
> this package should not be released with squeeze.  However, it's for the
> release team to make a final decision on that.

The updated 2.1.1 version on mentors.debian.net is by a new maintainer,
so IMO we should keep it in and downgrade to non-RC. After all it was present
in several earlier Debian releases and hasn't gotten worse (and the new
upstream finally has ALSA support).

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Sun, 07 Nov 2010 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Sun, 07 Nov 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #60 received at 580820@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: control@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 580820@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: fceu: Uses /dev/dsp instead of ALSA
Date: Sun, 7 Nov 2010 17:47:05 +0000
severity 580820 important
thanks

On 4 November 2010 22:49, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> The updated 2.1.1 version on mentors.debian.net is by a new maintainer,
> so IMO we should keep it in and downgrade to non-RC.

Okay.

-- 
Tim Retout <diocles@debian.org>




Severity set to 'important' from 'serious' Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Sun, 07 Nov 2010 17:51:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:08 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Mon, 03 Jun 2013 09:37:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Mon, 03 Jun 2013 09:37:40 GMT) Full text and rfc822 format available.

Message #71 received at 580820@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 580820@bugs.debian.org
Subject: Re: Uses /dev/dsp instead of ALSA
Date: Mon, 03 Jun 2013 10:35:30 +0200
Is fceu still not using ALSA on Linux?  Any hope of having this fixed
for Jessie?  This bug was reported in 2010, and I hope something
improved in the mean time.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Joe Nahmias <jello@debian.org>:
Bug#580820; Package fceu. (Mon, 17 Jun 2013 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Joe Nahmias <jello@debian.org>. (Mon, 17 Jun 2013 14:42:08 GMT) Full text and rfc822 format available.

Message #76 received at 580820@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 580820@bugs.debian.org
Subject: oss-compat is a pain and should go away
Date: Mon, 17 Jun 2013 16:40:04 +0200
[Message part 1 (text/plain, inline)]
control: severity -1 serious
# justification: oss-compat is a pain and should go away

Hi,

also this bug was rightfully serious already in 2010 and was only downgraded 
as a new maintainer had a new upstream version on mentors.d.n and so that it 
could stay in the squeeze release... but we shouldnt really release this again 
in jessie... esp. as there is a proper fix: new upstream version with alsa 
support.


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Holger Levsen <holger@layer-acht.org> to 580820-submit@bugs.debian.org. (Mon, 17 Jun 2013 14:42:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#580820; Package fceu. (Tue, 18 Jun 2013 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Nahmias <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Tue, 18 Jun 2013 13:36:04 GMT) Full text and rfc822 format available.

Message #83 received at 580820-quiet@bugs.debian.org (full text, mbox):

From: Joe Nahmias <joe@nahmias.net>
To: Holger Levsen <holger@layer-acht.org>, 580820-quiet@bugs.debian.org
Subject: Re: Bug#580820: oss-compat is a pain and should go away
Date: Tue, 18 Jun 2013 09:24:46 -0400
Agreed.

fceux (which will obsolete fceu) is now in experimental and i will be 
uploading it to unstable in the near future which will then allow me to 
transition all users over to that package.

--Joe

On 6/17/2013 10:40 AM, Holger Levsen wrote:
> control: severity -1 serious
> # justification: oss-compat is a pain and should go away
>
> Hi,
>
> also this bug was rightfully serious already in 2010 and was only downgraded
> as a new maintainer had a new upstream version on mentors.d.n and so that it
> could stay in the squeeze release... but we shouldnt really release this again
> in jessie... esp. as there is a proper fix: new upstream version with alsa
> support.
>
>
> cheers,
> 	Holger
>



Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Wed, 06 Nov 2013 03:24:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:41:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.